/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { RadialBaseChart } from "./RadialBaseChart";
import { ProportionalCategoryAngleAxis } from "./ProportionalCategoryAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { typeCast, runOn, delegateCombine, enumGetBox, markType } from "igniteui-react-core";
import { PieChartSweepDirection_$type } from "./PieChartSweepDirection";
import { CalloutCollisionMode_$type } from "igniteui-react-core";
import { OthersCategoryType_$type } from "igniteui-react-core";
import { AxisRangeBufferMode_$type } from "./AxisRangeBufferMode";
import { RadialLabelMode_$type } from "igniteui-react-core";
import { CollisionAvoidanceType_$type } from "./CollisionAvoidanceType";
import { RadialBase } from "./RadialBase";
import { RadialPieSeries } from "./RadialPieSeries";
import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { isNaN_ } from "igniteui-react-core";
/**
 * @hidden
 */
var DataPieBaseChart = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(DataPieBaseChart, _super);
    function DataPieBaseChart() {
        var _this = _super.call(this) || this;
        _this.ahz = null;
        _this.af8 = null;
        _this.ahv = null;
        _this.af6 = null;
        _this.ahx = null;
        _this.af7 = null;
        _this.ahu = null;
        _this.af5 = null;
        _this.ag7 = 0;
        _this.agn = 0;
        _this.agf = 6;
        _this.aji = null;
        _this.ajh = null;
        _this.ah0 = null;
        _this.agl = 1;
        _this.ag8 = 3;
        _this.ahw = null;
        _this.aht = null;
        _this.agy = true;
        _this.agd = 0;
        _this.ag5 = 0;
        _this.ag6 = 0;
        _this.ahb = 0;
        _this.agz = false;
        _this.ahr = 10;
        _this.ahd = NaN;
        _this.ahc = NaN;
        _this.ahe = 0;
        _this.ag9 = NaN;
        _this.aha = NaN;
        _this.ahy = " - ";
        _this.ags = 0;
        _this.agr = 0;
        _this.agw = true;
        _this.agx = true;
        _this.agh = 0;
        return _this;
    }
    DataPieBaseChart.prototype.ajd = function (a) {
        this.aje(function (b, c) { return a(b); });
    };
    DataPieBaseChart.prototype.aje = function (a) {
        if (this.dataChart == null) {
            return;
        }
        for (var b = 0; b < this.dataChart.series.count; b++) {
            var c = this.dataChart.series._inner[b];
            if (c.fr) {
                a(c, b);
            }
        }
    };
    DataPieBaseChart.prototype.ajb = function (a) {
        this.ajc(function (b, c) { return a(b); });
    };
    DataPieBaseChart.prototype.ajc = function (a) {
        if (this.dataChart == null) {
            return;
        }
        for (var b = 0; b < this.dataChart.series.count; b++) {
            var c = this.dataChart.series._inner[b];
            if (c.fr) {
                a(c, b);
            }
        }
    };
    DataPieBaseChart.prototype.v4 = function () {
        var a = this.bj.dataSeries != null ? this.bj.dataSeries.count : 0;
        _super.prototype.v4.call(this);
        if (this.ah6 != null) {
            var b = this.ah6;
            this.angleAxis.f1 = b;
        }
        else {
            this.angleAxis.f1 = this.abq == null ? RadialBaseChart.ac7(this.angleAxis, this.bj.dataSeries) : this.abq;
        }
        this.angleAxis.itemsSource = this.dataChart != null && this.dataChart.series.count > 0 ? this.dataChart.series._inner[0].itemsSource : null;
        if (this.ai8 != null) {
            this.angleAxis.og = this.ai8;
        }
        else {
            this.angleAxis.og = (this.dataChart != null && this.dataChart.series.count > 0 && typeCast(RadialPieSeries.$, this.dataChart.series._inner[0]) !== null) ? this.dataChart.series._inner[0].acl : null;
        }
    };
    DataPieBaseChart.prototype.c0 = function (a, b) {
        if (this.c3 == null || this.c3.count == 0) {
            return 13;
        }
        var c = _super.prototype.c0.call(this, a, b);
        if (c == 1) {
            return 13;
        }
        return c;
    };
    DataPieBaseChart.prototype.v2 = function (a) {
    };
    DataPieBaseChart.prototype.g6 = function (a) {
        if (!_super.prototype.g6.call(this, a)) {
            return false;
        }
        return true;
    };
    DataPieBaseChart.prototype.v5 = function () {
        this.valueAxis.lj = this.ag4;
        this.valueAxis.ma = this.ahs;
    };
    Object.defineProperty(DataPieBaseChart.prototype, "angleAxis", {
        get: function () {
            return this.agp;
        },
        set: function (a) {
            var b = this.angleAxis;
            if (a != b) {
                this.agp = a;
                this.vf("AngleAxis", b, this.angleAxis);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "valueAxis", {
        get: function () {
            return this.agj;
        },
        set: function (a) {
            var b = this.valueAxis;
            if (a != b) {
                this.agj = a;
                this.vf("ValueAxis", b, this.valueAxis);
            }
        },
        enumerable: false,
        configurable: true
    });
    DataPieBaseChart.prototype.get_ag1 = function () {
        return false;
    };
    Object.defineProperty(DataPieBaseChart.prototype, "ag1", {
        get: function () {
            return this.get_ag1();
        },
        enumerable: false,
        configurable: true
    });
    DataPieBaseChart.prototype.da = function (a, b) {
        var c = null;
        if (b == 34) {
            c = this.agv(a, b);
        }
        if (a.index > 0) {
            if (!this.ag1) {
                if (c != null) {
                    c.oz();
                }
                return null;
            }
        }
        return c;
    };
    DataPieBaseChart.prototype.us = function (a, b) {
        _super.prototype.us.call(this, a, b);
        if (this.gu(a) && this.cc.isCalloutLayer(a)) {
            if (this.ajk != null) {
                this.cc.setCalloutLightColor(a, this.ajk);
            }
            if (this.ajj != null) {
                this.cc.setCalloutDarkColor(a, this.ajj);
            }
            var c = this.ak;
            if (this.agg != 0) {
                c = this.agg;
            }
            this.cc.setCollisionMode(a, c);
        }
    };
    DataPieBaseChart.prototype.agv = function (a, b) {
        var c = null;
        if (b == 34) {
            c = this.dc(34);
        }
        else {
            c = this.dc(34);
        }
        if (this.ai8 != null) {
            c.acl = this.ai8;
        }
        else {
            c.acl = a.getMemberPathFor(0);
        }
        c.yq = this.angleAxis;
        c.yv = this.valueAxis;
        c.g7 = true;
        c.ab5 = true;
        c.aar = this.ais;
        c.yi = this.agc;
        c.aao = this.ail;
        c.yh = this.agb;
        c.aah = this.aic;
        c.yf = this.aga;
        c.aal = this.ah8;
        c.yg = this.af9;
        c.y4 = this.agu;
        c.y5 = this.agt;
        c.z3 = this.aiq;
        return c;
    };
    DataPieBaseChart.prototype.za = function () {
        return this.angleAxis;
    };
    DataPieBaseChart.prototype.zb = function () {
        return this.valueAxis;
    };
    DataPieBaseChart.prototype.t3 = function () {
        this.angleAxis = new ProportionalCategoryAngleAxis();
        this.angleAxis.name = "angleAxis";
        var a = this.angleAxis;
        a.propertyChanged = delegateCombine(a.propertyChanged, runOn(this, this.ajf));
        this.angleAxis.k2 = 0;
        this.valueAxis = new NumericRadiusAxis();
        this.valueAxis.name = "valueAxis";
        var b = this.valueAxis;
        b.propertyChanged = delegateCombine(b.propertyChanged, runOn(this, this.ajg));
        if (this.angleAxis.az == null) {
            this.angleAxis.az = new AxisLabelSettings();
        }
        if (this.valueAxis.az == null) {
            this.valueAxis.az = new AxisLabelSettings();
        }
    };
    DataPieBaseChart.prototype.ajf = function (a, b) {
        switch (b.propertyName) {
            case "ActualMinimumValue":
                this.vr("AngleAxisActualMinimum");
                break;
            case "ActualMaximumValue":
                this.vr("AngleAxisActualMaximum");
                break;
        }
    };
    DataPieBaseChart.prototype.ajg = function (a, b) {
        switch (b.propertyName) {
            case "ActualMinimumValue":
                this.vr("ValueAxisActualMinimum");
                break;
            case "ActualMaximumValue":
                this.vr("ValueAxisActualMaximum");
                break;
        }
    };
    DataPieBaseChart.prototype.tx = function (a, b) {
        var c = typeCast(RadialBase.$, a);
        if (c != null) {
            c.w1 = this.c0(a, b);
        }
    };
    DataPieBaseChart.prototype.aeh = function (a) {
        _super.prototype.aeh.call(this, a);
        a.lb = this.ag2;
        a.le = this.ag3;
        a.ny = this.ahh;
        if (!isNaN_(this.ahj)) {
            a.nz = this.ahj;
        }
        else {
            a.nz = 0.65;
        }
    };
    DataPieBaseChart.prototype.aef = function (a) {
        _super.prototype.aef.call(this, a);
        a.oa = this.aih;
        a.nu = this.agm;
        a.n7 = this.ahi;
        if (!isNaN_(this.ahk)) {
            a.nb = this.ahk;
        }
        if (this.ago != 0) {
            if (this.ago == 1) {
                a.ch = false;
            }
            else {
                a.ch = true;
            }
        }
    };
    DataPieBaseChart.prototype.vf = function (a, b, c) {
        var _this = this;
        _super.prototype.vf.call(this, a, b, c);
        switch (a) {
            case "SliceLabelPositionMode":
                this.ue(function (d) {
                    if (d.em) {
                        _this.cc.setCollisionMode(d, _this.agg);
                    }
                });
                break;
            case "SliceLabelContentSeparator":
                this.ajb(function (d) { return d.z3 = _this.aiq; });
                break;
            case "SliceLabelContentMode":
                this.ajb(function (d) { return d.y4 = _this.agu; });
                break;
            case "LegendSliceLabelContentMode":
                this.ajb(function (d) { return d.y5 = _this.agt; });
                break;
            case "SliceLabelFormat":
                this.ajb(function (d) { return d.aar = _this.ais; });
                break;
            case "SliceLabelFormatSpecifiers":
                this.ajb(function (d) { return d.yi = _this.agc; });
                break;
            case "OthersSliceLabelFormat":
                this.ajb(function (d) { return d.aao = _this.ail; });
                break;
            case "OthersSliceLabelFormatSpecifiers":
                this.ajb(function (d) { return d.yh = _this.agb; });
                break;
            case "LegendSliceLabelFormat":
                this.ajb(function (d) { return d.aah = _this.ais; });
                break;
            case "LegendSliceLabelFormatSpecifiers":
                this.ajb(function (d) { return d.yf = _this.agc; });
                break;
            case "LegendOthersSliceLabelFormat":
                this.ajb(function (d) { return d.aal = _this.ah8; });
                break;
            case "LegendOthersSliceLabelFormatSpecifiers":
                this.ajb(function (d) { return d.yg = _this.af9; });
                break;
            case "SweepDirection":
                if (this.angleAxis != null) {
                    if (this.ago != 0) {
                        if (this.ago == 1) {
                            this.angleAxis.ch = false;
                        }
                        else {
                            this.angleAxis.ch = true;
                        }
                    }
                    else {
                        this.angleAxis.ch = this.zm;
                    }
                }
                break;
            case "StartAngle":
                if (this.angleAxis != null) {
                    this.angleAxis.nb = isNaN_(this.ahk) ? 0 : this.ahk;
                }
                break;
            case "RadiusExtent":
                if (this.valueAxis != null) {
                    this.valueAxis.nz = isNaN_(this.ahj) ? 0.65 : this.ahj;
                }
                break;
            case "OthersCategoryText":
                if (this.angleAxis != null) {
                    this.angleAxis.oa = this.aih;
                }
                break;
            case "OthersCategoryType":
                if (this.angleAxis != null) {
                    this.angleAxis.nu = this.agm;
                }
                break;
            case "OthersCategoryThreshold":
                if (this.angleAxis != null) {
                    this.angleAxis.n7 = this.ahi;
                }
                break;
            case "InnerExtent":
                if (this.valueAxis != null) {
                    this.valueAxis.ny = this.ahh;
                }
                break;
            case "LightSliceLabelColor":
                this.uc(function (d) {
                    if (d.em) {
                        _this.cc.setCalloutLightColor(d, _this.ajk);
                    }
                });
                break;
            case "DarkSliceLabelColor":
                this.uc(function (d) {
                    if (d.em) {
                        _this.cc.setCalloutDarkColor(d, _this.ajj);
                    }
                });
                break;
            case "ValueMemberPath":
                if (c != null) {
                    this.ug(function (d) {
                        if (typeCast(AnchoredRadialSeries.$, d) !== null) {
                            var e = d;
                            e.acl = _this.ai8;
                        }
                    });
                    this.angleAxis.og = this.ai8;
                }
                else {
                    this.vl();
                }
                break;
            case "LabelMemberPath":
                if (c != null) {
                    var d = this.ah6;
                    this.angleAxis.f1 = d;
                }
                else {
                    this.vl();
                }
                break;
            case "AngleAxisInterval":
                this.angleAxis.m8 = this.ahf;
                break;
            case "ValueAxisInterval":
                this.valueAxis.l2 = this.ahn;
                break;
            case "ValueAxisFavorLabellingScaleEnd":
                this.valueAxis.le = this.ag3;
                break;
            case "ValueAxisAutoRangeBufferMode":
                this.valueAxis.kv = this.age;
                break;
            case "AngleAxisMinorInterval":
                this.angleAxis.m9 = this.ahg;
                break;
            case "ValueAxisMinorInterval":
                this.valueAxis.l7 = this.ahq;
                break;
            case "ValueAxisIsLogarithmic":
                this.valueAxis.lj = this.ag4;
                break;
            case "ValueAxisLogarithmBase":
                this.valueAxis.ma = this.ahs;
                break;
            case "ValueAxisMinimumValue":
                this.valueAxis.l6 = this.ahp;
                break;
            case "ValueAxisMaximumValue":
                this.valueAxis.l5 = this.aho;
                break;
            case "MarkerCollision":
                this.uh(function (e, f) { return _this.tx(e, f); });
                break;
            case "ValueAxisAbbreviateLargeNumbers":
                this.aeo(function (e) { return e.lb = _this.ag2; });
                break;
        }
    };
    Object.defineProperty(DataPieBaseChart.prototype, "ais", {
        get: function () {
            return this.ahz;
        },
        set: function (a) {
            var b = this.ais;
            if (a != b) {
                this.ahz = a;
                this.vf("SliceLabelFormat", b, this.ais);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "agc", {
        get: function () {
            return this.af8;
        },
        set: function (a) {
            var b = this.agc;
            if (a != b) {
                this.af8 = a;
                this.vf("SliceLabelFormatSpecifiers", b, this.agc);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "aic", {
        get: function () {
            return this.ahv;
        },
        set: function (a) {
            var b = this.aic;
            if (a != b) {
                this.ahv = a;
                this.vf("LegendSliceLabelFormat", b, this.aic);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "aga", {
        get: function () {
            return this.af6;
        },
        set: function (a) {
            var b = this.aga;
            if (a != b) {
                this.af6 = a;
                this.vf("LegendSliceLabelFormatSpecifiers", b, this.aga);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ail", {
        get: function () {
            return this.ahx;
        },
        set: function (a) {
            var b = this.ail;
            if (a != b) {
                this.ahx = a;
                this.vf("OthersSliceLabelFormat", b, this.ail);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "agb", {
        get: function () {
            return this.af7;
        },
        set: function (a) {
            var b = this.agb;
            if (a != b) {
                this.af7 = a;
                this.vf("OthersSliceLabelFormatSpecifiers", b, this.agb);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ah8", {
        get: function () {
            return this.ahu;
        },
        set: function (a) {
            var b = this.ah8;
            if (a != b) {
                this.ahu = a;
                this.vf("LegendOthersSliceLabelFormat", b, this.ah8);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "af9", {
        get: function () {
            return this.af5;
        },
        set: function (a) {
            var b = this.af9;
            if (a != b) {
                this.af5 = a;
                this.vf("LegendOthersSliceLabelFormatSpecifiers", b, this.af9);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahh", {
        get: function () {
            return this.ag7;
        },
        set: function (a) {
            var b = this.ahh;
            if (a != b) {
                this.ag7 = a;
                this.vf("InnerExtent", b, this.ahh);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ago", {
        get: function () {
            return this.agn;
        },
        set: function (a) {
            var b = this.ago;
            if (a != b) {
                this.agn = a;
                this.vf("SweepDirection", enumGetBox(PieChartSweepDirection_$type, b), enumGetBox(PieChartSweepDirection_$type, this.ago));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "agg", {
        get: function () {
            return this.agf;
        },
        set: function (a) {
            var b = this.agg;
            if (a != b) {
                this.agf = a;
                this.vf("SliceLabelPositionMode", enumGetBox(CalloutCollisionMode_$type, b), enumGetBox(CalloutCollisionMode_$type, this.agg));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ajk", {
        get: function () {
            return this.aji;
        },
        set: function (a) {
            var b = this.ajk;
            if (a != b) {
                this.aji = a;
                this.vf("LightSliceLabelColor", b, this.ajk);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ajj", {
        get: function () {
            return this.ajh;
        },
        set: function (a) {
            var b = this.ajj;
            if (a != b) {
                this.ajh = a;
                this.vf("DarkSliceLabelColor", b, this.ajj);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ai8", {
        get: function () {
            return this.ah0;
        },
        set: function (a) {
            var b = this.ai8;
            if (a != b) {
                this.ah0 = a;
                this.vf("ValueMemberPath", b, this.ai8);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "agm", {
        get: function () {
            return this.agl;
        },
        set: function (a) {
            var b = this.agm;
            if (a != b) {
                this.agl = a;
                this.vf("OthersCategoryType", enumGetBox(OthersCategoryType_$type, b), enumGetBox(OthersCategoryType_$type, this.agm));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahi", {
        get: function () {
            return this.ag8;
        },
        set: function (a) {
            var b = this.ahi;
            if (a != b) {
                this.ag8 = a;
                this.vf("OthersCategoryThreshold", b, this.ahi);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "aih", {
        get: function () {
            return this.ahw;
        },
        set: function (a) {
            var b = this.aih;
            if (a != b) {
                this.ahw = a;
                this.vf("OthersCategoryText", b, this.aih);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ah6", {
        get: function () {
            return this.aht;
        },
        set: function (a) {
            var b = this.ah6;
            if (a != b) {
                this.aht = a;
                this.vf("LabelMemberPath", b, this.ah6);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ag3", {
        get: function () {
            return this.agy;
        },
        set: function (a) {
            var b = this.ag3;
            if (a != b) {
                this.agy = a;
                this.vf("ValueAxisFavorLabellingScaleEnd", b, this.ag3);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "age", {
        get: function () {
            return this.agd;
        },
        set: function (a) {
            var b = this.age;
            if (a != b) {
                this.agd = a;
                this.vf("ValueAxisAutoRangeBufferMode", enumGetBox(AxisRangeBufferMode_$type, b), enumGetBox(AxisRangeBufferMode_$type, this.age));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahf", {
        get: function () {
            return this.ag5;
        },
        set: function (a) {
            var b = this.ahf;
            if (a != b) {
                this.ag5 = a;
                this.vf("AngleAxisInterval", b, this.ahf);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahg", {
        get: function () {
            return this.ag6;
        },
        set: function (a) {
            var b = this.ahg;
            if (a != b) {
                this.ag6 = a;
                this.vf("AngleAxisMinorInterval", b, this.ahg);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahn", {
        get: function () {
            return this.ahb;
        },
        set: function (a) {
            var b = this.ahn;
            if (a != b) {
                this.ahb = a;
                this.vf("ValueAxisInterval", b, this.ahn);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ag4", {
        get: function () {
            return this.agz;
        },
        set: function (a) {
            var b = this.ag4;
            if (a != b) {
                this.agz = a;
                this.vf("ValueAxisIsLogarithmic", b, this.ag4);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahs", {
        get: function () {
            return this.ahr;
        },
        set: function (a) {
            var b = this.ahs;
            if (a != b) {
                this.ahr = a;
                this.vf("ValueAxisLogarithmBase", b, this.ahs);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahp", {
        get: function () {
            return this.ahd;
        },
        set: function (a) {
            var b = this.ahp;
            if (a != b) {
                this.ahd = a;
                this.vf("ValueAxisMinimumValue", b, this.ahp);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "aho", {
        get: function () {
            return this.ahc;
        },
        set: function (a) {
            var b = this.aho;
            if (a != b) {
                this.ahc = a;
                this.vf("ValueAxisMaximumValue", b, this.aho);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahq", {
        get: function () {
            return this.ahe;
        },
        set: function (a) {
            var b = this.ahq;
            if (a != b) {
                this.ahe = a;
                this.vf("ValueAxisMinorInterval", b, this.ahq);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahm", {
        get: function () {
            return this.valueAxis.ly;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahl", {
        get: function () {
            return this.valueAxis.lx;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahj", {
        get: function () {
            return this.ag9;
        },
        set: function (a) {
            var b = this.ahj;
            if (a != b) {
                this.ag9 = a;
                this.vf("RadiusExtent", b, this.ahj);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ahk", {
        get: function () {
            return this.aha;
        },
        set: function (a) {
            var b = this.ahk;
            if (a != b) {
                this.aha = a;
                this.vf("StartAngle", b, this.ahk);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "aiq", {
        get: function () {
            return this.ahy;
        },
        set: function (a) {
            var b = this.aiq;
            if (a != b) {
                this.ahy = a;
                this.vf("SliceLabelContentSeparator", b, this.aiq);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "agu", {
        get: function () {
            return this.ags;
        },
        set: function (a) {
            var b = this.agu;
            if (a != b) {
                this.ags = a;
                this.vf("SliceLabelContentMode", enumGetBox(RadialLabelMode_$type, b), enumGetBox(RadialLabelMode_$type, this.agu));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "agt", {
        get: function () {
            return this.agr;
        },
        set: function (a) {
            var b = this.agt;
            if (a != b) {
                this.agr = a;
                this.vf("LegendSliceLabelContentMode", enumGetBox(RadialLabelMode_$type, b), enumGetBox(RadialLabelMode_$type, this.agt));
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ag0", {
        get: function () {
            return this.agw;
        },
        set: function (a) {
            var b = this.ag0;
            if (a != b) {
                this.agw = a;
                this.vf("AngleAxisFavorLabellingScaleEnd", b, this.ag0);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "ag2", {
        get: function () {
            return this.agx;
        },
        set: function (a) {
            var b = this.ag2;
            if (a != b) {
                this.agx = a;
                this.vf("ValueAxisAbbreviateLargeNumbers", b, this.ag2);
            }
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieBaseChart.prototype, "agi", {
        get: function () {
            return this.agh;
        },
        set: function (a) {
            var b = this.agh;
            if (a != b) {
                this.agh = a;
                this.vf("MarkerCollision", enumGetBox(CollisionAvoidanceType_$type, b), enumGetBox(CollisionAvoidanceType_$type, this.agh));
            }
        },
        enumerable: false,
        configurable: true
    });
    DataPieBaseChart.$t = markType(DataPieBaseChart, 'DataPieBaseChart', RadialBaseChart.$);
    return DataPieBaseChart;
}(RadialBaseChart));
export { DataPieBaseChart };
